> For the complete documentation index, see [llms.txt](https://docs.nosto.com/ugc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nosto.com/ugc/commerce/integrations/magento.md).

# Magento

* [Product Page Widgets](#pdpwidget)

## Product Page Widgets

To embed UGC Widgets into a specific Product Page, and have the Widget dynamically update based upon the Product Page it has been added, you will need to edit the Product Page template within your Magento instance.

The file you will generally wish to update is titled `details.phtml` and is generally located under `/design/frontend///Magento_Catalog/templates/product/view`.

Within this file you will want to add in the Nosto's UGC Embed code for a Widget from your Stack, plus the variable `data-tags: ext:<?php echo $tagSku; ?>`.

The embedded code should look something like this:

```javascript
<div class='stackla-widget' data-id='' data-hash='' data-filter='' data-tags: ext:<?php echo $tagSku; ?> data-ct='' data-alias='client.stackla.com' data-ttl="30" ></div>
<script type='text/javascript'>
    (function (d, id) {
        if (d.getElementById(id)) return;
        var t = d.createElement('script');
        t.type = 'text/javascript';
        t.src = '//assetscdn.stackla.com/media/js/widget/fluid-embed.js';
        t.id = id;
        (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(t);
    }(document, 'stacklafw-js'));
</script>
```

The client should embed code wherever in the page they would like the Widget to render.

The variable `data-tags: ext:<?php echo $tagSku; ?>` will tell the Widget to find all content which contains the Product SKU from Magento.

[Return to Top](#top)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nosto.com/ugc/commerce/integrations/magento.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
